/** /Validation/Object
 *
 * @author Alex Malotky
 */
import { TypeOf } from ".";
import Type, { TypeValidator } from "./Type";
export declare const ObjectName = "Object";
export type ObjectProperties = Record<string, TypeValidator<any>>;
export type ObjectDefaults<K extends string | number | symbol> = {
    [key in K]?: Type;
};
/** Object Validator
 *
 */
export default class ObjectValidator<P extends ObjectProperties> extends TypeValidator<{
    [K in keyof P]: TypeOf<P[K]>;
}> {
    constructor(format: P, value?: ObjectDefaults<keyof P>);
}
